Very old tablets

Our user Finn Semrau has sent us the following question:

We have only 1 GB RAM and Android 4.4.4
Is it definitely not possible to use these tablets or does the software just not perform to its best level?

The answer is: Not possible completely. The Interviewer App (and other Android-based Survey Solutions Apps) will not work in OS Android below version 5.0.

See the announcement here and earlier warnings (1, 2, 3) about this minimal requirements change.